package common.item.tool;

import common.block.Block;
import common.init.ToolMaterial;
import common.item.ItemStack;

public class ItemPickaxe extends ItemTool {
	public ItemPickaxe(ToolMaterial material) {
		super(2, material);
	}

	public boolean canHarvestBlock(Block block) {
		return block.getMiningLevel() >= 0 && this.getToolMaterial().getHarvestLevel() >= block.getMiningLevel();
	}

	public boolean canUseOn(ItemStack stack, Block block) {
		return block.getMiningLevel() >= 0;
	}
}
